[role="xpack"]
[[ilm-wait-for-snapshot]]
=== Wait for snapshot

Phases allowed: delete.

Waits for the specified {slm-init} policy to be executed before removing the index.
This ensures that a snapshot of the deleted index is available. 

[[ilm-wait-for-snapshot-options]]
==== Options

`policy`::
(Required, string)
Name of the {slm-init} policy that the delete action should wait for.

[[ilm-wait-for-snapshot-ex]]
==== Example

[source,console]
--------------------------------------------------
PUT _ilm/policy/my_policy
{
  "policy": {
    "phases": {
      "delete": {
        "actions": {
          "wait_for_snapshot" : {
            "policy": "slm-policy-name"
          }
        }
      }
    }
  }
}
--------------------------------------------------